import request from '@/utils/request'

// 查询日预估销售产品数据填充列表
export function listAssess(query) {
  return request({
    url: '/mk/fillin/dailySaleQuantityAssess/list',
    method: 'get',
    params: query
  })
}

// 查询日预估销售产品数据填充详细
export function getAssess(id) {
  return request({
    url: '/mk/fillin/dailySaleQuantityAssess/' + id,
    method: 'get'
  })
}

// 新增日预估销售产品数据填充
export function addAssess(data) {
  return request({
    url: '/mk/fillin/dailySaleQuantityAssess',
    method: 'post',
    data: data
  })
}

// 修改日预估销售产品数据填充
export function updateAssess(data) {
  return request({
    url: '/mk/fillin/dailySaleQuantityAssess',
    method: 'put',
    data: data
  })
}

// 删除日预估销售产品数据填充
export function delAssess(id) {
  return request({
    url: '/mk/fillin/dailySaleQuantityAssess/' + id,
    method: 'delete'
  })
}

export function getSaleMaterialList(query) {
  return request({
    url: '/mk/fillin/dailySaleQuantityAssess/salematerial/list',
    method: 'get',
    params: query
  })
}